/*******************************************************************************
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.designer.wsdlNavigator;

import java.io.Serializable;
import org.ow2.orchestra.designer.bpmn.model.operations.InterfaceModel;

/**
 * @author Guillaume Porcher
 */
public class Service implements Serializable {
  private String name;
  private String namespace;
  private InterfaceModel interfaceModel;
  private String wsdlPath;

  public String getNamespace() {
    return namespace;
  }

  public void setNamespace(String namespace) {
    this.namespace = namespace;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public InterfaceModel getInterfaceModel() {
    return interfaceModel;
  }

  public void setInterfaceModel(InterfaceModel interfaceModel) {
    this.interfaceModel = interfaceModel;
  }

  public String getWsdlPath() {
    return wsdlPath;
  }

  public void setWsdlPath(String wsdlPath) {
    this.wsdlPath = wsdlPath;
  }
}
